# Others



## Rust



## Ruby

mkdir -p php-demo
chmod 777 php-demo && cd php-demo
docker run --rm -it -w /var/www/html -v $(pwd):/var/www/html -p 8000:8000 groovy:jdk17-alpine /bin/bash
cd /var/www/html



## 详情


**runs-on** **可选：**

| **名称**                                       | [已安装](https://github.com/actions/virtual-environments/blob/master/images/linux/Ubuntu1804-README.md) |
| ---------------------------------------------- | ------------------------------------------------------------ |
| windows-2019                                   | docker/vs   2019/**android**/ruby/git/go/php/.net/minGW/miniconda/Alibaba Cloud CLI |
| **ubuntu-latest** or   ubuntu-18.04   ubuntu-16.04 | docker/kubect/php/python/java/**android**/zip/.net/powershell/mysql/ms   sql/nodejs/webpack/yarn/gradle/maven/ant/ |
| macos-latest or   macos-10.15                  | php/python/go/java/yarn/git/**xcode**/android                |

### **azure 部分**

关于 azure 云平台配合 github 相关 CI/CD配置。

| **位置**                                       | 描述 |
| ---------------------------------------------- | ------------------------------------------------------------ |
| azure\.github\workflow\deploy-app-to-azure.yml | 部署resources app到azure  |
| azure\.github\workflow\set-up-azure-resources.yml                  |  设置resources资源                |

### **Vue 部分**

使用 github action 自动构建/部署 Vue 项目。

| **位置**                                       | 描述 |
| ---------------------------------------------- | ------------------------------------------------------------ |
|  |   |


**Python 部分**

| **位置**                                       | 描述 |
| ---------------------------------------------- | ------------------------------------------------------------ |
|  |   |



**Go 部分**

使用 github action 编译/发布 go 项目，以及使用 go web 功能。

| **位置**                                       | 描述 |
| ---------------------------------------------- | ------------------------------------------------------------ |
|  |   |



**PHP 部分**

| **位置**                                       | 描述 |
| ---------------------------------------------- | ------------------------------------------------------------ |
|  |   |


**Java 部分**

| **位置**                                       | 描述 |
| ---------------------------------------------- | ------------------------------------------------------------ |
|  |   |


**Android 部分**

本项目刚启动时候，很多 android 使用 github action 自动构建的很少，本项目将归纳基于 eclipse 和 android studio 等开发的 android 项目使用 github action 自动构建方案。

注意： 使用 eclipse IDE 开发的 andorid 项目，其实采用的是 ant 构建。而采用 android studio IDE 开发的项目采用的是 gradle 构建。

| **位置**                                       | 描述 |
| ---------------------------------------------- | ------------------------------------------------------------ |
| android-studio\.github\workflows\main.yml |  默认 android studio 开发的项目采用这个 action |
| android-eclipse\.github\workflows\main.yml |  采用 eclipse 开发的采用这个 action |


20 年 vscode 开源的容器 demo 项目，修改为国内镜像。如今，使用通用镜像即可。
```
git clone https://github.com/Microsoft/vscode-remote-try-node
git clone https://github.com/Microsoft/vscode-remote-try-python
git clone https://github.com/Microsoft/vscode-remote-try-go
git clone https://github.com/Microsoft/vscode-remote-try-java
git clone https://github.com/Microsoft/vscode-remote-try-dotnetcore
git clone https://github.com/Microsoft/vscode-remote-try-php
git clone https://github.com/Microsoft/vscode-remote-try-rust
git clone https://github.com/Microsoft/vscode-remote-try-cpp

```

